Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove
Class AnalogDigitalFlagType

    java.lang.Object
      edu.harvard.hul.ois.jhove.EnumerationType
          edu.harvard.hul.ois.jhove.AnalogDigitalFlagType

    public class AnalogDigitalFlagType

extends EnumerationType

This class defines enumerated types for the analog/digital flag of AESAudioMetadata. Applications will not create or modify instances of this class, but will use one of the predefined AnalogDigitalFlagType instances.

Author:
  Gary McGath

Field Summary
`static AnalogDigitalFlagType` | `ANALOG` Enumeration instance for analog data
`static AnalogDigitalFlagType` | `FILE_DIGITAL` Enumeration instance for FILE digital data
`static AnalogDigitalFlagType` | `PHYS_DIGITAL` Enumeration instance for physical digital data

Method Summary

Methods inherited from class edu.harvard.hul.ois.jhove.EnumerationType
`equals, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ANALOG

    public static final AnalogDigitalFlagType ANALOG

  Enumeration instance for analog data

### PHYS_DIGITAL

    public static final AnalogDigitalFlagType PHYS_DIGITAL

  Enumeration instance for physical digital data

### FILE_DIGITAL

    public static final AnalogDigitalFlagType FILE_DIGITAL

  Enumeration instance for FILE digital data

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD